#
# spec file for package qgo
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qgo
Version:        2.1.0+git20150704.051f17f
Release:        2.39
Summary:        A full featured SGF editor and Go Client based on Qt5
License:        GPL-2.0+
Group:          Amusements/Games/Board/Chess
Url:            https://github.com/pzorin/qgo
Source:         %{name}-%{version}.tar.xz
Patch:		no-return-in-nonvoid-function.patch
# PATCH-FIX-USPTREAM let qmake aware of CXXFLAGS
Patch1:		qgo-optflags.patch
# PATCH-FIX-UPSTREAM set default engine path to /usr/bin
Patch2:		qgo-default-engine-path.patch
# PATCH-FIX-UPSTREAM fix gcc6 narrowing conversion from int to char inside {}
Patch3:		qgo-gcc6.patch
Source1:        x-sgf.xml
BuildRequires:  alsa-devel
BuildRequires:  libqt5-qtbase-devel
BuildRequires:	libqt5-qtmultimedia-devel
BuildRequires:	libqt5-linguist
# directory ownership
BuildRequires:  shared-mime-info
Requires(post): shared-mime-info
Requires(postun): shared-mime-info
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
qGo2 is a full featured SGF editor and Go Client (IGS, WING, LGS,
CyberORO, Tygem, Tom, and eWeiqi) based on Qt 4.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CXXFLAGS+="%{optflags}" qmake-qt5
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install %{?_smp_mflags}

# install languages
mkdir -p %{buildroot}%{_datadir}/qgo/languages
install -m 0644 src/translations/*.qm %{buildroot}%{_datadir}/qgo/languages/

# fix mime
rm -rf %{buildroot}%{_datadir}/mimelnk
mkdir -p %{buildroot}%{_datadir}/mime/text
cp -r %{SOURCE1} %{buildroot}%{_datadir}/mime/text

%post
%mime_database_post

%postun
%mime_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/qgo
%{_datadir}/applications/qgo.desktop
%{_datadir}/mime/text/x-sgf.xml
%{_datadir}/pixmaps/*
%{_datadir}/qgo

%changelog
* Tue Jun 21 2016 i@marguerite.su
- add patch: qgo-gcc6.patch
  * fix gcc6 narrowing conversion from int to char inside {}
* Sun Aug 23 2015 i@marguerite.su
- Update to version 2.1.0+git20150704.051f17f:
  + Refresh window after setting up handicap
  + Fix segfault after computer resigns
  + Fix passing in a local game
  + Remove unused code in SGF parser
  + Remove some hard-coded widget sizes
  + Faster scoring on IGS
  + Speed up marking territory
  + Remove unused code
  + Remake engine selection
  + Do not copy marks when creatig a child node
- add patch: no-return-in-nonvoid-function.patch
  * fix such error
- add patch: qgo-optflags.patch
  * let qmake aware of CXXFLAGS to add optflags
- add patch: qgo-default-engine-path.patch
  * set default engine path to /usr/bin
* Thu Feb 21 2013 i@marguerite.su
- initial package 20130221
  * details see commit log at github.
